#!/usr/bin/env python

import pygame
from pygame.constants import *

img = pygame.image.load("cloud.png")
screen = pygame.display.set_mode(img.get_size(), 0,  32)
img = img.convert_alpha()

screen.blit(img, (0, 0))
pygame.display.flip()

w, h = img.get_size()

while True:

    e = pygame.event.wait()

    if e.type == QUIT:
        break

    if e.type == MOUSEMOTION:

        x, y = e.pos

        if x < 5 or x > w - 5:
            continue

        if y < 5 or y > h - 5:
            continue

        def alpha(xo, yo):
            r, g, b, a= img.get_at((x + xo, y + yo))
            return a

        # 1 2 3
        # 4 5 6
        # 7 8 9

        a1 = alpha(-1, -1)
        a2 = alpha( 0, -1)
        a3 = alpha( 1, -1)

        a4 = alpha(-1, 0)
        a5 = alpha( 0, 0)
        a6 = alpha( 1, 0)
        
        a7 = alpha(-1, 0)
        a8 = alpha( 0, 0)
        a9 = alpha( 1, 0)

        xvector = -a3 - a6 - a9 + a1 + a4 + a7
        yvector = -a7 - a8 - a9 + a1 + a2 + a3

        xvector /= 10
        yvector /= 10

        screen.fill((0, 0, 0, 255))
        screen.blit(img, (0, 0))

        pygame.draw.aaline(screen, (255, 0, 0), (x, y), (xvector + x, yvector + y))
        
        pygame.display.flip()


        



